[versions]
groovy = "3.0.5"
checkstyle = "8.37"
kotlin = "1.7.20"
android-gradle-plugin = "7.3.0"
androidx-core = "1.9.0"
androidx-activity = "1.6.1"
androidx-annotation = "1.5.0"
androidx-compose-compiler = "1.3.2"
androidx-compose-bom = "2022.12.00"
androidx-hilt = "1.0.0"
androidx-lifecycle-runtime-compose = "2.6.0-alpha03"
hilt-gradle-plugin = "2.43.2"
kotlinter-gradle-plugin = "3.12.0"
kotest-gradle-plugin = "0.3.8"
kover-gradle-plugin = "0.6.0"
google-accompanist = "0.28.0"
google-dagger = "2.44"
android-media3 = "1.0.0-beta03"
kotlinx-collections-immutable = "0.3.5"
kotest = "5.5.4"
mockk = "1.13.3"
turbine = "0.12.1"

[libraries]
androidx-lifecycle-runtime-compose = { module = "androidx.lifecycle:lifecycle-runtime-compose", version.ref = "androidx-lifecycle-runtime-compose" }
androidx-compose-compiler = { module = "androidx.compose.compiler:compiler", version.ref = "androidx-compose-compiler" }
androidx-compose-bom = { module = "androidx.compose:compose-bom", version.ref = "androidx-compose-bom" }
androidx-compose-animation = { module = "androidx.compose.animation:animation" }
androidx-compose-animation-core = { module = "androidx.compose.animation:animation-core" }
androidx-compose-foundation = { module = "androidx.compose.foundation:foundation" }
androidx-compose-foundation-layout = { module = "androidx.compose.foundation:foundation-layout" }
androidx-compose-material3 = { module = "androidx.compose.material3:material3" }
androidx-compose-material-icons = { module = "androidx.compose.material:material-icons-extended" }
androidx-compose-runtime = { module = "androidx.compose.runtime:runtime" }
androidx-compose-runtime-saveable = { module = "androidx.compose.runtime:runtime-saveable" }
androidx-compose-ui = { module = "androidx.compose.ui:ui" }
androidx-compose-ui-geometry = { module = "androidx.compose.ui:ui-geometry" }
androidx-compose-ui-graphics = { module = "androidx.compose.ui:ui-graphics" }
androidx-compose-ui-test-junit4 = { module = "androidx.compose.ui:ui-test-junit4" }
androidx-compose-ui-test-manifest = { module = "androidx.compose.ui:ui-test-manifest" }
androidx-compose-ui-text = { module = "androidx.compose.ui:ui-text" }
androidx-compose-ui-text-google-fonts = { module = "androidx.compose.ui:ui-text-google-fonts" }
androidx-compose-ui-tooling = { module = "androidx.compose.ui:ui-tooling" }
androidx-compose-ui-tooling-preview = { module = "androidx.compose.ui:ui-tooling-preview" }
androidx-compose-ui-unit = { module = "androidx.compose.ui:ui-unit" }
androidx-hilt-navigation-compose = { module = "androidx.hilt:hilt-navigation-compose", version.ref = "androidx-hilt" }
accompanist-systemuicontroller = { module = "com.google.accompanist:accompanist-systemuicontroller", version.ref = "google-accompanist" }
androidx-core-ktx = { module = "androidx.core:core-ktx", version.ref = "androidx-core" }
androidx-activity-compose = { module = "androidx.activity:activity-compose", version.ref = "androidx-activity" }
androidx-activity-ktx = { module = "androidx.activity:activity-ktx", version.ref = "androidx-activity" }
androidx-annotation = { module = "androidx.annotation:annotation", version.ref = "androidx-annotation" }
hilt-android = { module = "com.google.dagger:hilt-android", version.ref = "google-dagger" }
hilt-compiler = { module = "com.google.dagger:hilt-compiler", version.ref = "google-dagger" }
android-media3-exoplayer = { module = "androidx.media3:media3-exoplayer", version.ref = "android-media3" }
android-media3-ui = { module = "androidx.media3:media3-ui", version.ref = "android-media3" }
android-media3-session = { module = "androidx.media3:media3-session", version.ref = "android-media3" }
kotlinx-collections-immutable = { module = "org.jetbrains.kotlinx:kotlinx-collections-immutable", version.ref = "kotlinx-collections-immutable" }
kotest-runner-junit5 = { module = "io.kotest:kotest-runner-junit5", version.ref = "kotest" }
kotest-assertions-core = { module = "io.kotest:kotest-assertions-core", version.ref = "kotest" }
mockk-android = { module = "io.mockk:mockk-android", version.ref = "mockk" }
mockk-agent = { module = "io.mockk:mockk-agent", version.ref = "mockk" }
turbine = { module = "app.cash.turbine:turbine", version.ref = "turbine" }

[plugins]
android-application = { id = "com.android.application", version.ref = "android-gradle-plugin" }
android-library = { id = "com.android.library", version.ref = "android-gradle-plugin" }
hilt-android = { id = "com.google.dagger.hilt.android", version.ref = "hilt-gradle-plugin" }
jmailen-kotlinter = { id = "org.jmailen.kotlinter", version.ref = "kotlinter-gradle-plugin" }
kotest = { id = "io.kotest", version.ref = "kotest-gradle-plugin" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
kotlinx-kover = { id = "org.jetbrains.kotlinx.kover", version.ref = "kover-gradle-plugin" }